---
title: list-all-runs-for-a-job-definition
product: vercel
url: /docs/rest-api/vercel-ci/list-all-runs-for-a-job-definition
canonical_url: "https://vercel.com/docs/rest-api/vercel-ci/list-all-runs-for-a-job-definition"
last_updated: 2026-09-25
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about list-all-runs-for-a-job-definition on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# List all runs for a job definition

```http
GET /v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}/job-definitions/{jobDefinitionId}/runs
```

List Job Runs

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `invocationId` | string | Yes |  |
| `attempt` | string | Yes |  |
| `jobDefinitionId` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/v1/vercel-ci/invocations/invocationId/attempts/attempt/job-definitions/jobDefinitionId/runs?teamId=string&slug=string', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/v1/vercel-ci/invocations/invocationId/attempts/attempt/job-definitions/jobDefinitionId/runs?teamId=string&slug=string', {
    method: 'GET',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X GET 'https://api.vercel.com/v1/vercel-ci/invocations/invocationId/attempts/attempt/job-definitions/jobDefinitionId/runs?teamId=string&slug=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json'
```

## Example response

```json
{
  "jobRuns": [
    {
      "invocationId": "example_id",
      "invocationAttempt": "123",
      "jobDefinitionId": "example_id",
      "attempt": "123",
      "createdAt": "123",
      "started": {
        "startedAt": "123"
      },
      "completed": {
        "completedAt": "123",
        "conclusion": {}
      }
    }
  ]
}
```

## Responses

### 200: Successfully listed job runs.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "jobRuns"
  ],
  "properties": {
    "jobRuns": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "invocationId",
          "invocationAttempt",
          "jobDefinitionId",
          "attempt",
          "createdAt"
        ],
        "properties": {
          "invocationId": {
            "type": "string"
          },
          "invocationAttempt": {
            "type": "number"
          },
          "jobDefinitionId": {
            "type": "string"
          },
          "attempt": {
            "type": "number"
          },
          "createdAt": {
            "type": "number"
          },
          "started": {
            "type": "object",
            "required": [
              "startedAt"
            ]
          },
          "completed": {
            "type": "object",
            "required": [
              "completedAt",
              "conclusion"
            ]
          }
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    }
  }
}
```

### 403: You do not have permission to access this resource.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    }
  }
}
```

### 404: No description

### 410: No description

### 429: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "name",
        "message",
        "limit"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "limit": {
          "type": "number"
        }
      }
    }
  }
}
```

### 500: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    }
  }
}
```

---

## Related

- [vercel-ci endpoints](/docs/rest-api#vercel-ci)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
